classification
Title: Expose AF_QIPCRTR in socket module
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: Bjorn Andersson, christian.heimes, taleinat
Priority: normal Keywords: patch

Created on 2017-09-11 22:22 by Bjorn Andersson, last changed 2018-09-26 21:20 by taleinat. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3706 merged python-dev, 2017-09-23 05:49
PR 9595 merged taleinat, 2018-09-26 21:14
Messages (3)
msg301917 - (view) Author: Bjorn Andersson (Bjorn Andersson) * Date: 2017-09-11 22:22
The address family AF_QIPCRTR represents a socket based communication mechanism, available since Linux v4.7, for communicating with services running on co-processors in Qualcomm based platforms; e.g. the modem services.

Expose this address family in the socket module to allow python access to this interface.
msg326465 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-09-26 13:48
New changeset bb8165172ac2ef8c7092e8e82928cc7f5f310ab3 by Tal Einat (Bjorn Andersson) in branch 'master':
bpo-31425: Expose AF_QIPCRTR in socket module (GH-3706)
https://github.com/python/cpython/commit/bb8165172ac2ef8c7092e8e82928cc7f5f310ab3
msg326511 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-09-26 21:20
New changeset f55c64c632af438d0daa043acdd95a5e74f31441 by Tal Einat in branch 'master':
bpo-31425: fix versionadded in docs and add attribution in NEWS (GH-9595)
https://github.com/python/cpython/commit/f55c64c632af438d0daa043acdd95a5e74f31441
History
Date User Action Args
2018-09-26 21:20:42taleinatsetmessages: + msg326511
2018-09-26 21:14:33taleinatsetpull_requests: + pull_request8993
2018-09-26 13:49:00taleinatsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8, - Python 3.7
2018-09-26 13:48:03taleinatsetnosy: + taleinat
messages: + msg326465
2017-11-07 18:49:59christian.heimessetassignee: christian.heimes

nosy: + christian.heimes
2017-09-23 05:49:58python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3691
2017-09-11 22:22:29Bjorn Anderssoncreate